Enhavo
Indekso 🔎︎

# Cos Function

Kalkulas la kosinuson de angulo. La angulo estas specifita en randianoj. La rezulto estas inter -1 kaj 1.

Using the angle Alpha, the Cos function calculates the ratio of the length of the side that is adjacent to the angle, divided by the length of the hypotenuse in a right-angled triangle.

Cos(Alpha) = Adjacent/Hypotenuse

### Syntax:

    Cos (Number As Double) As Double

### Return value:

Double

### Parameters:

Number: Numera esprimo kiu specifas angulon (en radianoj) por kiu kalkuli la kosinuson.

Por konverti gradojn al randianoj, multipliku la gradojn per pi/180. Por konverti randianojn al gradoj, multipliku la radianojn per 180/pi.

gradoj=(radianoj*180)/pi

radianoj=(gradoj*pi)/180

Pi is here the fixed circle constant with the rounded value 3.14159...

### Error codes:

5 Nevalida procedurvoko

### Example:

    REM La jena ekzemplo ebligas, por orta triangulo, entajpi
    REM la sekanton kaj angulon (en gradoj) kaj kalkuli la longon de la hipotenuzo.
    Sub ExampleCosinus
    REM rondigita Pi = 3,14159
    Dim d1 As Double, dAngle As Double
        d1 = InputBox$ (""Tajpu la longon de la apuda latero: ","apuda")
        dAngle = InputBox("Tajpu la angulon Alfa (en gradoj): ","Alfa")
        Print "The length of the hypotenuse is"; (d1 / cos (dAngle * Pi / 180))
    End Sub

Rilataj temoj

Atn Function

Sin Function

Tan Function